## wine-gecko-unstable 1.0.0+dfsg

=== debian/changelog ===
wine-gecko-unstable (1.0.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #479861)
  * Packaging includes contributions from Stephen Kitt <steve@sk2.org>
    (especially for debian/copyright).

 -- Ove Kaaven <ovek@arcticnet.no>  Thu, 04 Aug 2011 23:41:17 +0200
