=== debian/control ===
Source: wine-gecko-unstable
Section: otherosfs
Priority: optional
Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>
Build-Depends: debhelper (>= 7), autoconf2.13, libidl-dev, libx11-dev,
 gcc-mingw-w64, libstdc++6-4.5-dev, python, zip, unzip, lcab
Build-Conflicts: binfmt-support
Standards-Version: 3.9.1
Homepage: http://www.winehq.org/

Package: libwine-gecko-unstable
Section: libs
Architecture: all
Depends: ${misc:Depends}
Description: Windows API implementation - web browser module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a HTML renderer based on the Mozilla engine, Gecko.

Package: libwine-gecko-dbg-unstable
Section: libs
Architecture: all
Depends: ${misc:Depends}
Provides: libwine-gecko-unstable
Conflicts: libwine-gecko-unstable
Description: Windows API implementation - web browser debug build
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a HTML renderer based on the Mozilla engine, Gecko,
 with debugging symbols.
